%%%---------------------------------------
%%% module      : data_vie_rank
%%% description : 通用封榜配置
%%%
%%%---------------------------------------
-module(data_vie_rank).
-compile(export_all).
-include("vie_rank.hrl").




get_vie_type_value(1) ->
    recharge;


get_vie_type_value(2) ->
    consume;


get_vie_type_value(3) ->
    consume;


get_vie_type_value(4) ->
    item;

get_vie_type_value(_Typekey) ->
    0.

get_vie_req(1,Rank) when Rank =< 1 ->
		6480;
get_vie_req(1,Rank) when Rank =< 2 ->
		6480;
get_vie_req(1,Rank) when Rank =< 3 ->
		6480;
get_vie_req(1,Rank) when Rank =< 4 ->
		6480;
get_vie_req(1,Rank) when Rank =< 5 ->
		6480;
get_vie_req(1,Rank) when Rank =< 6 ->
		6480;
get_vie_req(1,Rank) when Rank =< 7 ->
		6480;
get_vie_req(1,Rank) when Rank =< 8 ->
		6480;
get_vie_req(1,Rank) when Rank =< 9 ->
		6480;
get_vie_req(1,Rank) when Rank =< 10 ->
		6480;
get_vie_req(1,Rank) when Rank =< 11 ->
		3280;
get_vie_req(1,Rank) when Rank =< 12 ->
		3280;
get_vie_req(1,Rank) when Rank =< 13 ->
		3280;
get_vie_req(1,Rank) when Rank =< 14 ->
		3280;
get_vie_req(1,Rank) when Rank =< 15 ->
		3280;
get_vie_req(1,Rank) when Rank =< 16 ->
		3280;
get_vie_req(1,Rank) when Rank =< 17 ->
		3280;
get_vie_req(1,Rank) when Rank =< 18 ->
		3280;
get_vie_req(1,Rank) when Rank =< 19 ->
		3280;
get_vie_req(1,Rank) when Rank =< 20 ->
		3280;
get_vie_req(1,Rank) when Rank =< 21 ->
		3280;
get_vie_req(1,Rank) when Rank =< 22 ->
		3280;
get_vie_req(1,Rank) when Rank =< 23 ->
		3280;
get_vie_req(1,Rank) when Rank =< 24 ->
		3280;
get_vie_req(1,Rank) when Rank =< 25 ->
		3280;
get_vie_req(1,Rank) when Rank =< 26 ->
		3280;
get_vie_req(1,Rank) when Rank =< 27 ->
		3280;
get_vie_req(1,Rank) when Rank =< 28 ->
		3280;
get_vie_req(1,Rank) when Rank =< 29 ->
		3280;
get_vie_req(1,Rank) when Rank =< 30 ->
		3280;
get_vie_req(2,Rank) when Rank =< 1 ->
		20000;
get_vie_req(2,Rank) when Rank =< 2 ->
		10000;
get_vie_req(2,Rank) when Rank =< 3 ->
		10000;
get_vie_req(2,Rank) when Rank =< 4 ->
		10000;
get_vie_req(2,Rank) when Rank =< 5 ->
		10000;
get_vie_req(2,Rank) when Rank =< 6 ->
		6480;
get_vie_req(2,Rank) when Rank =< 7 ->
		6480;
get_vie_req(2,Rank) when Rank =< 8 ->
		6480;
get_vie_req(2,Rank) when Rank =< 9 ->
		6480;
get_vie_req(2,Rank) when Rank =< 10 ->
		6480;
get_vie_req(2,Rank) when Rank =< 11 ->
		3280;
get_vie_req(2,Rank) when Rank =< 12 ->
		3280;
get_vie_req(2,Rank) when Rank =< 13 ->
		3280;
get_vie_req(2,Rank) when Rank =< 14 ->
		3280;
get_vie_req(2,Rank) when Rank =< 15 ->
		3280;
get_vie_req(2,Rank) when Rank =< 16 ->
		3280;
get_vie_req(2,Rank) when Rank =< 17 ->
		3280;
get_vie_req(2,Rank) when Rank =< 18 ->
		3280;
get_vie_req(2,Rank) when Rank =< 19 ->
		3280;
get_vie_req(2,Rank) when Rank =< 20 ->
		3280;
get_vie_req(2,Rank) when Rank =< 21 ->
		3280;
get_vie_req(2,Rank) when Rank =< 22 ->
		3280;
get_vie_req(2,Rank) when Rank =< 23 ->
		3280;
get_vie_req(2,Rank) when Rank =< 24 ->
		3280;
get_vie_req(2,Rank) when Rank =< 25 ->
		3280;
get_vie_req(2,Rank) when Rank =< 26 ->
		3280;
get_vie_req(2,Rank) when Rank =< 27 ->
		3280;
get_vie_req(2,Rank) when Rank =< 28 ->
		3280;
get_vie_req(2,Rank) when Rank =< 29 ->
		3280;
get_vie_req(2,Rank) when Rank =< 30 ->
		3280;
get_vie_req(2,Rank) when Rank =< 31 ->
		1980;
get_vie_req(2,Rank) when Rank =< 32 ->
		1980;
get_vie_req(2,Rank) when Rank =< 33 ->
		1980;
get_vie_req(2,Rank) when Rank =< 34 ->
		1980;
get_vie_req(2,Rank) when Rank =< 35 ->
		1980;
get_vie_req(2,Rank) when Rank =< 36 ->
		1980;
get_vie_req(2,Rank) when Rank =< 37 ->
		1980;
get_vie_req(2,Rank) when Rank =< 38 ->
		1980;
get_vie_req(2,Rank) when Rank =< 39 ->
		1980;
get_vie_req(2,Rank) when Rank =< 40 ->
		1980;
get_vie_req(2,Rank) when Rank =< 41 ->
		1980;
get_vie_req(2,Rank) when Rank =< 42 ->
		1980;
get_vie_req(2,Rank) when Rank =< 43 ->
		1980;
get_vie_req(2,Rank) when Rank =< 44 ->
		1980;
get_vie_req(2,Rank) when Rank =< 45 ->
		1980;
get_vie_req(2,Rank) when Rank =< 46 ->
		1980;
get_vie_req(2,Rank) when Rank =< 47 ->
		1980;
get_vie_req(2,Rank) when Rank =< 48 ->
		1980;
get_vie_req(2,Rank) when Rank =< 49 ->
		1980;
get_vie_req(2,Rank) when Rank =< 50 ->
		1980;
get_vie_req(3,Rank) when Rank =< 1 ->
		6480;
get_vie_req(3,Rank) when Rank =< 2 ->
		6480;
get_vie_req(3,Rank) when Rank =< 3 ->
		6480;
get_vie_req(3,Rank) when Rank =< 4 ->
		6480;
get_vie_req(3,Rank) when Rank =< 5 ->
		6480;
get_vie_req(3,Rank) when Rank =< 6 ->
		6480;
get_vie_req(3,Rank) when Rank =< 7 ->
		6480;
get_vie_req(3,Rank) when Rank =< 8 ->
		6480;
get_vie_req(3,Rank) when Rank =< 9 ->
		6480;
get_vie_req(3,Rank) when Rank =< 10 ->
		6480;
get_vie_req(3,Rank) when Rank =< 11 ->
		3280;
get_vie_req(3,Rank) when Rank =< 12 ->
		3280;
get_vie_req(3,Rank) when Rank =< 13 ->
		3280;
get_vie_req(3,Rank) when Rank =< 14 ->
		3280;
get_vie_req(3,Rank) when Rank =< 15 ->
		3280;
get_vie_req(3,Rank) when Rank =< 16 ->
		3280;
get_vie_req(3,Rank) when Rank =< 17 ->
		3280;
get_vie_req(3,Rank) when Rank =< 18 ->
		3280;
get_vie_req(3,Rank) when Rank =< 19 ->
		3280;
get_vie_req(3,Rank) when Rank =< 20 ->
		3280;
get_vie_req(3,Rank) when Rank =< 21 ->
		3280;
get_vie_req(3,Rank) when Rank =< 22 ->
		3280;
get_vie_req(3,Rank) when Rank =< 23 ->
		3280;
get_vie_req(3,Rank) when Rank =< 24 ->
		3280;
get_vie_req(3,Rank) when Rank =< 25 ->
		3280;
get_vie_req(3,Rank) when Rank =< 26 ->
		3280;
get_vie_req(3,Rank) when Rank =< 27 ->
		3280;
get_vie_req(3,Rank) when Rank =< 28 ->
		3280;
get_vie_req(3,Rank) when Rank =< 29 ->
		3280;
get_vie_req(3,Rank) when Rank =< 30 ->
		3280;
get_vie_req(4,Rank) when Rank =< 1 ->
		500;
get_vie_req(4,Rank) when Rank =< 2 ->
		300;
get_vie_req(4,Rank) when Rank =< 3 ->
		300;
get_vie_req(4,Rank) when Rank =< 4 ->
		300;
get_vie_req(4,Rank) when Rank =< 5 ->
		300;
get_vie_req(4,Rank) when Rank =< 6 ->
		300;
get_vie_req(4,Rank) when Rank =< 7 ->
		300;
get_vie_req(4,Rank) when Rank =< 8 ->
		300;
get_vie_req(4,Rank) when Rank =< 9 ->
		300;
get_vie_req(4,Rank) when Rank =< 10 ->
		300;
get_vie_req(4,Rank) when Rank =< 11 ->
		100;
get_vie_req(4,Rank) when Rank =< 12 ->
		100;
get_vie_req(4,Rank) when Rank =< 13 ->
		100;
get_vie_req(4,Rank) when Rank =< 14 ->
		100;
get_vie_req(4,Rank) when Rank =< 15 ->
		100;
get_vie_req(4,Rank) when Rank =< 16 ->
		100;
get_vie_req(4,Rank) when Rank =< 17 ->
		100;
get_vie_req(4,Rank) when Rank =< 18 ->
		100;
get_vie_req(4,Rank) when Rank =< 19 ->
		100;
get_vie_req(4,Rank) when Rank =< 20 ->
		100;
get_vie_req(4,Rank) when Rank =< 21 ->
		100;
get_vie_req(4,Rank) when Rank =< 22 ->
		100;
get_vie_req(4,Rank) when Rank =< 23 ->
		100;
get_vie_req(4,Rank) when Rank =< 24 ->
		100;
get_vie_req(4,Rank) when Rank =< 25 ->
		100;
get_vie_req(4,Rank) when Rank =< 26 ->
		100;
get_vie_req(4,Rank) when Rank =< 27 ->
		100;
get_vie_req(4,Rank) when Rank =< 28 ->
		100;
get_vie_req(4,Rank) when Rank =< 29 ->
		100;
get_vie_req(4,Rank) when Rank =< 30 ->
		100;
get_vie_req(4,Rank) when Rank =< 31 ->
		20;
get_vie_req(4,Rank) when Rank =< 32 ->
		20;
get_vie_req(4,Rank) when Rank =< 33 ->
		20;
get_vie_req(4,Rank) when Rank =< 34 ->
		20;
get_vie_req(4,Rank) when Rank =< 35 ->
		20;
get_vie_req(4,Rank) when Rank =< 36 ->
		20;
get_vie_req(4,Rank) when Rank =< 37 ->
		20;
get_vie_req(4,Rank) when Rank =< 38 ->
		20;
get_vie_req(4,Rank) when Rank =< 39 ->
		20;
get_vie_req(4,Rank) when Rank =< 40 ->
		20;
get_vie_req(4,Rank) when Rank =< 41 ->
		20;
get_vie_req(4,Rank) when Rank =< 42 ->
		20;
get_vie_req(4,Rank) when Rank =< 43 ->
		20;
get_vie_req(4,Rank) when Rank =< 44 ->
		20;
get_vie_req(4,Rank) when Rank =< 45 ->
		20;
get_vie_req(4,Rank) when Rank =< 46 ->
		20;
get_vie_req(4,Rank) when Rank =< 47 ->
		20;
get_vie_req(4,Rank) when Rank =< 48 ->
		20;
get_vie_req(4,Rank) when Rank =< 49 ->
		20;
get_vie_req(4,Rank) when Rank =< 50 ->
		20;
get_vie_req(_Type_key,_Rank) ->
    0.

get_max_rank(1) -> 30;
get_max_rank(2) -> 50;
get_max_rank(3) -> 30;
get_max_rank(4) -> 50;
get_max_rank(_Type_key) -> 100.

get_min_score(1) -> 3280;
get_min_score(2) -> 1980;
get_min_score(3) -> 3280;
get_min_score(4) -> 20;
get_min_score(_Type_key) -> 99999.

